org.apache.ignite.internal.processors.authentication

## Enum UserManagementOperation.OperationType

- java.lang.Object
- - java.lang.Enum<UserManagementOperation.OperationType>
  - - org.apache.ignite.internal.processors.authentication.UserManagementOperation.OperationType

All Implemented Interfaces:
  Serializable, Comparable<UserManagementOperation.OperationType>

Enclosing class:
  UserManagementOperation

    public static enum UserManagementOperation.OperationType
    extends Enum<UserManagementOperation.OperationType>

User action type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD`
`REMOVE`
`UPDATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static UserManagementOperation.OperationType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UserManagementOperation.OperationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD

    public static final UserManagementOperation.OperationType ADD

#### UPDATE

    public static final UserManagementOperation.OperationType UPDATE

#### REMOVE

    public static final UserManagementOperation.OperationType REMOVE

### Method Detail

#### values

    public static UserManagementOperation.OperationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UserManagementOperation.OperationType c : UserManagementOperation.OperationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UserManagementOperation.OperationType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018